ListAttachmentRoutingPolicyAssociations
Lists the routing policy associations for attachments in a core network.
Request Syntax
GET /routing-policy-label/core-network/coreNetworkId?attachmentId=AttachmentId&maxResults=MaxResults&nextToken=NextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- AttachmentId
-
The ID of a specific attachment to filter the routing policy associations.
Length Constraints: Minimum length of 0. Maximum length of 50.
Pattern:
^attachment-([0-9a-f]{8,17})$ - coreNetworkId
-
The ID of the core network to list attachment routing policy associations for.
Length Constraints: Minimum length of 0. Maximum length of 50.
Pattern:
^core-network-([0-9a-f]{8,17})$Required: Yes
- MaxResults
-
The maximum number of results to return in a single page.
Valid Range: Minimum value of 1. Maximum value of 500.
- NextToken
-
The token for the next page of results.
Length Constraints: Minimum length of 0. Maximum length of 2048.
Pattern:
[\s\S]*
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"AttachmentRoutingPolicyAssociations": [
{
"AssociatedRoutingPolicies": [ "string" ],
"AttachmentId": "string",
"PendingRoutingPolicies": [ "string" ],
"RoutingPolicyLabel": "string"
}
],
"NextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- AttachmentRoutingPolicyAssociations
-
The list of attachment routing policy associations.
Type: Array of AttachmentRoutingPolicyAssociationSummary objects
- NextToken
-
The token for the next page of results.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 2048.
Pattern:
[\s\S]*
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request has failed due to an internal error.
- RetryAfterSeconds
-
Indicates when to retry the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource could not be found.
- Context
-
The specified resource could not be found.
- ResourceId
-
The ID of the resource.
- ResourceType
-
The resource type.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
- RetryAfterSeconds
-
Indicates when to retry the request.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints.
- Fields
-
The fields that caused the error, if applicable.
- Reason
-
The reason for the error.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: